## dune-istl 2.7.0

=== dune/istl/test/CMakeLists.txt ===
# install the test tools as we want to support testing 3rd-party vectors and matrices with an installed dune-istl
install(FILES
        matrixtest.hh
        vectortest.hh
        laplacian.hh
        multirhstest.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/test)

dune_add_test(SOURCES bcrsassigntest.cc)

dune_add_test(SOURCES bcrsmatrixtest.cc)

dune_add_test(SOURCES bcrsnormtest.cc)

dune_add_test(SOURCES cgconditiontest.cc)

dune_add_test(SOURCES dotproducttest.cc)

dune_add_test(SOURCES complexmatrixtest.cc)

dune_add_test(SOURCES fieldvectortest.cc)

dune_add_test(SOURCES matrixnormtest.cc)

dune_add_test(SOURCES matrixutilstest.cc)

dune_add_test(SOURCES matrixtest.cc)

dune_add_test(SOURCES multirhstest.cc)
  add_dune_vc_flags(multirhstest)

dune_add_test(SOURCES bvectortest.cc)

dune_add_test(SOURCES vbvectortest.cc)

dune_add_test(SOURCES bcrsbuild.cc)

dune_add_test(SOURCES bcrsimplicitbuild.cc
              COMPILE_DEFINITIONS DUNE_ISTL_WITH_CHECKING=1)

dune_add_test(SOURCES matrixiteratortest.cc)

dune_add_test(SOURCES mmtest.cc)

dune_add_test(SOURCES multitypeblockmatrixtest.cc)

dune_add_test(SOURCES multitypeblockvectortest.cc)

dune_add_test(SOURCES mv.cc)

dune_add_test(SOURCES iotest.cc)

dune_add_test(SOURCES inverseoperator2prectest.cc)

dune_add_test(SOURCES preconditionerstest.cc)

dune_add_test(SOURCES scalarproductstest.cc)

dune_add_test(SOURCES scaledidmatrixtest.cc)

dune_add_test(SOURCES solvertest.cc)

dune_add_test(SOURCES solveraborttest.cc)

set(DUNE_TEST_FACTORY_FIELD_TYPES
  "double"
  "float"
  "std::complex<double>"
  "std::complex<float>"
  "Dune::LoopSIMD<double, 4>")

set(DUNE_TEST_FACTORY_BLOCK_SIZES
  1
  2
  3)

function(add_factory_test BLOCK)
  STRING(REGEX REPLACE "[^a-zA-Z0-9]" "" BLOCK_CLEAN ${BLOCK})
  configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}.cc)
  dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}.cc)
endfunction(add_factory_test)

foreach(FIELD_TYPE ${DUNE_TEST_FACTORY_FIELD_TYPES})
  add_factory_test(${FIELD_TYPE})
  foreach(BLOCK_SIZE ${DUNE_TEST_FACTORY_BLOCK_SIZES})
    add_factory_test("Dune::FieldVector<${FIELD_TYPE}, ${BLOCK_SIZE}>")
  endforeach()
endforeach()
dune_symlink_to_source_files(FILES solverfactorytest.ini)

# SuperLU tests
  dune_add_test(NAME superlustest
                SOURCES superlutest.cc
                COMPILE_DEFINITIONS SUPERLU_NTYPE=0)

  dune_add_test(SOURCES superlutest.cc)

  dune_add_test(NAME superluctest
                SOURCES superlutest.cc
                COMPILE_DEFINITIONS SUPERLU_NTYPE=2)

  dune_add_test(NAME superluztest
                SOURCES superlutest.cc
                COMPILE_DEFINITIONS SUPERLU_NTYPE=3)

  dune_add_test(SOURCES complexrhstest.cc
                COMPILE_DEFINITIONS SUPERLU_NTYPE=3)

# SuiteSparse tests
  dune_add_test(SOURCES umfpacktest.cc)
  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "umfpack_decomp")

dune_add_test(SOURCES ldltest.cc)

dune_add_test(SOURCES spqrtest.cc)

dune_add_test(SOURCES overlappingschwarztest.cc)

dune_add_test(SOURCES cholmodtest.cc)

dune_add_test(SOURCES registrytest.cc)

# MPI tests
dune_add_test(SOURCES matrixredisttest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 600
              CMAKE_GUARD MPI_FOUND)

dune_add_test(SOURCES vectorcommtest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 600
              CMAKE_GUARD MPI_FOUND)

dune_add_test(SOURCES matrixmarkettest.cc)

dune_add_test(SOURCES iluildltest.cc)

exclude_from_headercheck(complexdata.hh)

=== debian/changelog ===
dune-istl (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:38:37 +0200

dune-istl (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that were applied upstream:
    - removed patch: 0001-CompPair-make-operator-a-const-method.patch
    - removed patch: 0002-do-not-catch-polymorphic-types-by-value.patch
    - removed patch: 0003-silence-warnings-about-unused-variables.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 18:44:26 +0200

=== debian/control ===
Source: dune-istl
Section: libs
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.7.0-3),
 libsuitesparse-dev,
 libsuperlu-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-istl-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.0-3),
 libsuitesparse-dev,
 libsuperlu-dev
Suggests: libdune-istl-doc (= ${source:Version})
Description: toolbox for solving PDEs -- iterative solvers (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the iterative solver template
 library.

Package: libdune-istl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- iterative solvers (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the iterative solver template
 library.

## dune-istl 2.7.1

=== lib/CMakeLists.txt ===
install(FILES duneistlam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== dune/istl/CMakeLists.txt ===
add_subdirectory("common")
add_subdirectory("eigenvalue")
add_subdirectory("paamg")
add_subdirectory(test)

#install headers
install(FILES
   allocator.hh
   basearray.hh
   bcrsmatrix.hh
   bdmatrix.hh
   btdmatrix.hh
   bvector.hh
   cholmod.hh
   colcompmatrix.hh
   gsetc.hh
   ildl.hh
   ilu.hh
   ilusubdomainsolver.hh
   io.hh
   istlexception.hh
   ldl.hh
   matrix.hh
   matrixindexset.hh
   matrixmarket.hh
   matrixmatrix.hh
   matrixredistribute.hh
   matrixutils.hh
   multitypeblockmatrix.hh
   multitypeblockvector.hh
   novlpschwarz.hh
   operators.hh
   overlappingschwarz.hh
   owneroverlapcopy.hh
   pardiso.hh
   preconditioner.hh
   preconditioners.hh
   repartition.hh
   scalarproducts.hh
   scaledidmatrix.hh
   schwarz.hh
   solvercategory.hh
   solver.hh
   solverfactory.hh
   solvers.hh
   solvertype.hh
   spqr.hh
   superlu.hh
   superlufunctions.hh
   supermatrix.hh
   umfpack.hh
   vbvector.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl)

=== dune/istl/common/CMakeLists.txt ===
#install headers
install(FILES
   counter.hh
   registry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/common)

=== dune/istl/paamg/CMakeLists.txt ===
add_subdirectory(test)

#install headers
install(FILES
  aggregates.hh
  amg.hh
  combinedfunctor.hh
  construction.hh
  dependency.hh
  fastamg.hh
  fastamgsmoother.hh
  galerkin.hh
  globalaggregates.hh
  graph.hh
  graphcreator.hh
  hierarchy.hh
  matrixhierarchy.hh
  indicescoarsener.hh
  kamg.hh
  parameters.hh
  pinfo.hh
  properties.hh
  renumberer.hh
  smoother.hh
  transfer.hh
  twolevelmethod.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/paamg)

=== dune/istl/test/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,8 @@
 function(add_factory_test BLOCK)
   STRING(REGEX REPLACE "[^a-zA-Z0-9]" "" BLOCK_CLEAN ${BLOCK})
   configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}.cc)
-  dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}.cc)
+  dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}.cc
+                CMAKE_GUARD HAVE_MPI)
 endfunction(add_factory_test)
 
 foreach(FIELD_TYPE ${DUNE_TEST_FACTORY_FIELD_TYPES})

=== dune/istl/paamg/test/CMakeLists.txt ===
find_package(Threads)
if(CMAKE_USE_PTHREADS_INIT)
  add_executable(pthreadamgtest pthreadamgtest.cc)
  target_compile_definitions(pthreadamgtest PUBLIC MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>)
  target_link_libraries(pthreadamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
  dune_add_test(TARGET pthreadamgtest)

  add_executable(pthreadfastamgtest pthreadamgtest.cc)
  target_compile_definitions(pthreadfastamgtest PUBLIC MYAMG=Dune::Amg::FastAMG<Operator,Vector>)
  add_dune_mpi_flags(pthreadfastamgtest)
  target_link_libraries(pthreadfastamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
  dune_add_test(TARGET pthreadfastamgtest)

  add_executable(pthreadtwoleveltest pthreadtwoleveltest.cc)
  target_link_libraries(pthreadtwoleveltest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
  dune_add_test(TARGET pthreadtwoleveltest)

  dune_add_test(NAME pthreaddirectamgtest
                SOURCES pthreadamgtest.cc
                COMPILE_DEFINITIONS MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>
                LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")

  dune_add_test(NAME pthreaddirectfastamgtest
                SOURCES pthreadamgtest.cc
                COMPILE_DEFINITIONS MYAMG=Dune::Amg::FastAMG<Operator,Vector>
                LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")

  dune_add_test(NAME pthreaddirecttwoleveltest
                SOURCES pthreadtwoleveltest.cc
                LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
endif()

# add an executable without SuperLU/UMFPack
add_executable(amgtest amgtest.cc)
target_link_libraries(amgtest ${DUNE_LIBS})
dune_add_test(TARGET amgtest)

add_executable(fastamg fastamg.cc)
target_link_libraries(fastamg ${DUNE_LIBS})
dune_add_test(TARGET fastamg)

if(SUPERLU_FOUND)
  add_executable(superluamgtest amgtest.cc)
  add_dune_superlu_flags(superluamgtest)
  target_link_libraries(superluamgtest ${DUNE_LIBS})
  dune_add_test(TARGET superluamgtest)

  add_executable(superlufastamgtest fastamg.cc)
  add_dune_superlu_flags(superlufastamgtest)
  target_link_libraries(superlufastamgtest ${DUNE_LIBS})
  dune_add_test(TARGET superlufastamgtest)
endif()

dune_add_test(NAME umfpackamgtest
              SOURCES amgtest.cc
              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)

dune_add_test(NAME umfpackfastamgtest
              SOURCES fastamg.cc
              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)

dune_add_test(SOURCES twolevelmethodtest.cc)

dune_add_test(SOURCES graphtest.cc)

dune_add_test(SOURCES kamgtest.cc)

dune_add_test(SOURCES transfertest.cc)

dune_add_test(NAME twolevelmethodschwarztest
              SOURCES twolevelmethodtest.cc
              COMPILE_DEFINITIONS USE_OVERLAPPINGSCHWARZ)

# These tests need MPI, even though they are only run sequentially
dune_add_test(SOURCES galerkintest.cc
              CMAKE_GUARD MPI_FOUND)

dune_add_test(SOURCES hierarchytest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 600
              CMAKE_GUARD MPI_FOUND)

dune_add_test(NAME pamgtest
              SOURCES parallelamgtest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 600
              CMAKE_GUARD MPI_FOUND)

dune_add_test(NAME pamg_comm_repart_test
              MPI_RANKS 1 2 4
              TIMEOUT 600
              SOURCES parallelamgtest.cc
              COMPILE_DEFINITIONS -DAMG_REPART_ON_COMM_GRAPH
              CMAKE_GUARD MPI_FOUND)

dune_add_test(NAME pamgmmtest
  SOURCES pamgmmtest.cc
  TIMEOUT 20
  MPI_RANKS 6
  CMAKE_GUARD PARMETIS_FOUND)

file(COPY gr_30_30.mtx DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
dune-istl (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 13 Jan 2021 10:52:40 +0100

dune-istl (2.7.1-1) experimental; urgency=medium

  * New upstream release

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 07 Jan 2021 09:29:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0-3),
+ libdune-common-dev (>= 2.7.1),
  libsuitesparse-dev,
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -19,7 +19,7 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.0-3),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.1),
  libsuitesparse-dev,
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})

## dune-istl 2.8.0

=== CMakeLists.txt ===
# set up project
project(dune-istl C CXX)

# general stuff
cmake_minimum_required(VERSION 3.13)

# guess build tree of dune-common
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})

endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory(cmake/modules)
add_subdirectory(dune)
add_subdirectory(doc)

# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory(python)
  dune_python_install_package(PATH python)
endif()

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)

dune_add_latex_document(
  SOURCE istl.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR})

=== dune/CMakeLists.txt ===
add_subdirectory(istl)
# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,16 @@
 install(FILES
    allocator.hh
    basearray.hh
+   bccsmatrix.hh
+   bccsmatrixinitializer.hh
    bcrsmatrix.hh
    bdmatrix.hh
+   blocklevel.hh
    btdmatrix.hh
    bvector.hh
    cholmod.hh
    colcompmatrix.hh
+   foreach.hh
    gsetc.hh
    ildl.hh
    ilu.hh
@@ -32,7 +36,6 @@
    operators.hh
    overlappingschwarz.hh
    owneroverlapcopy.hh
-   pardiso.hh
    preconditioner.hh
    preconditioners.hh
    repartition.hh
@@ -42,6 +45,7 @@
    solvercategory.hh
    solver.hh
    solverfactory.hh
+   solverregistry.hh
    solvers.hh
    solvertype.hh
    spqr.hh

=== dune/python/CMakeLists.txt ===
add_subdirectory(istl)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
add_subdirectory(istl)

add_python_targets(dune
  __init__
)

=== dune/istl/test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 dune_add_test(SOURCES complexmatrixtest.cc)
 
 dune_add_test(SOURCES fieldvectortest.cc)
+
+dune_add_test(SOURCES foreachtest.cc)
 
 dune_add_test(SOURCES matrixnormtest.cc)
 
@@ -76,9 +78,25 @@
 
 function(add_factory_test BLOCK)
   STRING(REGEX REPLACE "[^a-zA-Z0-9]" "" BLOCK_CLEAN ${BLOCK})
+  set(DEFINE_DEACTIVATE_AMG_DIRECTSOLVER "#define DISABLE_AMG_DIRECTSOLVER 1")
   configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}.cc)
   dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}.cc
                 CMAKE_GUARD HAVE_MPI)
+  string(REGEX MATCH "LoopSIMD" _matched "${BLOCK}")
+  if(NOT _matched)
+    set(DEFINE_DEACTIVATE_AMG_DIRECTSOLVER "")
+    configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}_direct.cc)
+    dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}_direct.cc
+                  MPI_RANKS 1 2 4
+                  TIMEOUT 600
+                  CMAKE_GUARD
+                  HAVE_MPI
+                  SuiteSparse_CHOLMOD_FOUND
+                  SuiteSparse_LDL_FOUND
+                  SuiteSparse_SPQR_FOUND
+                  SuiteSparse_UMFPACK_FOUND
+                  SuperLU_FOUND)
+  endif()
 endfunction(add_factory_test)
 
 foreach(FIELD_TYPE ${DUNE_TEST_FACTORY_FIELD_TYPES})
@@ -108,16 +126,21 @@
                 COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
 
 # SuiteSparse tests
-  dune_add_test(SOURCES umfpacktest.cc)
+  dune_add_test(SOURCES umfpacktest.cc
+              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
   set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "umfpack_decomp")
 
-dune_add_test(SOURCES ldltest.cc)
+dune_add_test(SOURCES ldltest.cc
+              CMAKE_GUARD SuiteSparse_LDL_FOUND)
 
-dune_add_test(SOURCES spqrtest.cc)
+dune_add_test(SOURCES spqrtest.cc
+              CMAKE_GUARD SuiteSparse_SPQR_FOUND)
 
-dune_add_test(SOURCES overlappingschwarztest.cc)
+dune_add_test(SOURCES overlappingschwarztest.cc
+              CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
-dune_add_test(SOURCES cholmodtest.cc)
+dune_add_test(SOURCES cholmodtest.cc
+              CMAKE_GUARD SuiteSparse_CHOLMOD_FOUND)
 
 dune_add_test(SOURCES registrytest.cc)
 
@@ -136,4 +159,6 @@
 
 dune_add_test(SOURCES iluildltest.cc)
 
+dune_add_test(SOURCES blocklevel.cc COMPILE_ONLY)
+
 exclude_from_headercheck(complexdata.hh)

=== dune/python/istl/CMakeLists.txt ===
set(HEADERS
  bcrsmatrix.hh
  bvector.hh
  iterator.hh
  matrixindexset.hh
  operators.hh
  preconditioners.hh
  slice.hh
  solvers.hh
)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/python/istl)

=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pybcrsmatrix
                     SCRIPT bcrsmatrix.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)

=== python/dune/istl/CMakeLists.txt ===
add_python_targets(istl
  __init__
)
dune_add_pybind11_module(NAME _istl)
set_property(TARGET _istl PROPERTY LINK_LIBRARIES dunecommon APPEND)

=== dune/istl/eigenvalue/test/CMakeLists.txt ===
add_executable(poweriterationtest cond2test.cc)
target_link_libraries(poweriterationtest PRIVATE dunecommon)
dune_add_test(
  TARGET poweriterationtest
  CMD_ARGS 40)

if(SuperLU_FOUND)
  add_executable(poweriterationsuperlutest cond2test.cc)
  add_dune_superlu_flags(poweriterationsuperlutest)
  dune_add_test(
    TARGET poweriterationsuperlutest
    CMD_ARGS 40)
  target_link_libraries(poweriterationsuperlutest PRIVATE dunecommon)
endif()

if(ARPACKPP_FOUND)
  add_executable(arpackpptest cond2test.cc)
  add_dune_arpackpp_flags(arpackpptest)
  target_link_libraries(arpackpptest PRIVATE dunecommon)
  dune_add_test(TARGET arpackpptest)
endif()

if(ARPACKPP_FOUND AND SuperLU_FOUND)
  dune_add_test(NAME arpackppsuperlutest
                SOURCES cond2test.cc)
endif()

=== dune/istl/paamg/test/CMakeLists.txt ===
--- 
+++ 
@@ -2,65 +2,82 @@
 if(CMAKE_USE_PTHREADS_INIT)
   add_executable(pthreadamgtest pthreadamgtest.cc)
   target_compile_definitions(pthreadamgtest PUBLIC MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>)
-  target_link_libraries(pthreadamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  target_link_libraries(pthreadamgtest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_mpi_flags(pthreadamgtest)
+  add_dune_parmetis_flags(pthreadamgtest)
   dune_add_test(TARGET pthreadamgtest)
 
   add_executable(pthreadfastamgtest pthreadamgtest.cc)
   target_compile_definitions(pthreadfastamgtest PUBLIC MYAMG=Dune::Amg::FastAMG<Operator,Vector>)
+  target_link_libraries(pthreadfastamgtest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
   add_dune_mpi_flags(pthreadfastamgtest)
-  target_link_libraries(pthreadfastamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_parmetis_flags(pthreadfastamgtest)
   dune_add_test(TARGET pthreadfastamgtest)
 
   add_executable(pthreadtwoleveltest pthreadtwoleveltest.cc)
-  target_link_libraries(pthreadtwoleveltest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  target_link_libraries(pthreadtwoleveltest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_mpi_flags(pthreadtwoleveltest)
+  add_dune_parmetis_flags(pthreadtwoleveltest)
   dune_add_test(TARGET pthreadtwoleveltest)
 
   dune_add_test(NAME pthreaddirectamgtest
                 SOURCES pthreadamgtest.cc
                 COMPILE_DEFINITIONS MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
   dune_add_test(NAME pthreaddirectfastamgtest
                 SOURCES pthreadamgtest.cc
                 COMPILE_DEFINITIONS MYAMG=Dune::Amg::FastAMG<Operator,Vector>
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
   dune_add_test(NAME pthreaddirecttwoleveltest
                 SOURCES pthreadtwoleveltest.cc
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 endif()
 
 # add an executable without SuperLU/UMFPack
 add_executable(amgtest amgtest.cc)
-target_link_libraries(amgtest ${DUNE_LIBS})
+target_link_libraries(amgtest PRIVATE ${DUNE_LIBS})
+add_dune_mpi_flags(amgtest)
+add_dune_parmetis_flags(amgtest)
 dune_add_test(TARGET amgtest)
 
 add_executable(fastamg fastamg.cc)
-target_link_libraries(fastamg ${DUNE_LIBS})
+target_link_libraries(fastamg PRIVATE ${DUNE_LIBS})
+add_dune_mpi_flags(fastamg)
+add_dune_parmetis_flags(fastamg)
 dune_add_test(TARGET fastamg)
 
-if(SUPERLU_FOUND)
+if(SuperLU_FOUND)
   add_executable(superluamgtest amgtest.cc)
+  target_link_libraries(superluamgtest PRIVATE ${DUNE_LIBS})
   add_dune_superlu_flags(superluamgtest)
-  target_link_libraries(superluamgtest ${DUNE_LIBS})
+  add_dune_mpi_flags(superluamgtest)
+  add_dune_parmetis_flags(superluamgtest)
   dune_add_test(TARGET superluamgtest)
 
   add_executable(superlufastamgtest fastamg.cc)
+  target_link_libraries(superlufastamgtest PRIVATE ${DUNE_LIBS})
   add_dune_superlu_flags(superlufastamgtest)
-  target_link_libraries(superlufastamgtest ${DUNE_LIBS})
+  add_dune_mpi_flags(superlufastamgtest)
+  add_dune_parmetis_flags(superlufastamgtest)
   dune_add_test(TARGET superlufastamgtest)
 endif()
 
 dune_add_test(NAME umfpackamgtest
               SOURCES amgtest.cc
               CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
+add_dune_mpi_flags(umfpackamgtest)
+add_dune_parmetis_flags(umfpackamgtest)
 
 dune_add_test(NAME umfpackfastamgtest
               SOURCES fastamg.cc
               CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
+add_dune_mpi_flags(umfpackfastamgtest)
+add_dune_parmetis_flags(umfpackfastamgtest)
 
 dune_add_test(SOURCES twolevelmethodtest.cc)
 
@@ -95,6 +112,7 @@
               SOURCES parallelamgtest.cc
               COMPILE_DEFINITIONS -DAMG_REPART_ON_COMM_GRAPH
               CMAKE_GUARD MPI_FOUND)
+add_dune_parmetis_flags(pamg_comm_repart_test)
 
 dune_add_test(NAME pamgmmtest
   SOURCES pamgmmtest.cc

=== debian/changelog ===
dune-istl (2.8.0-2ubuntu2) jammy; urgency=medium

  * Lower to parallel=3 on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 18:59:51 +0100

dune-istl (2.8.0-2ubuntu1) jammy; urgency=medium

  * Disable lto to fix build failure on ppc64el
  * Use parallel=2 on arm64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 12:37:00 +0100

dune-istl (2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:39:09 +0200

dune-istl (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Set Architecture to "any"

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 13:35:56 +0200

dune-istl (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 09:49:53 -0400

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.1),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0),
  libsuitesparse-dev,
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -17,9 +17,9 @@
 
 Package: libdune-istl-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.1),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.8.0),
  libsuitesparse-dev,
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=2
endif
ifneq (,$(filter ppc64el, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-istl 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 # set up project
 project(dune-istl C CXX)
 
@@ -26,11 +29,11 @@
 add_subdirectory(cmake/modules)
 add_subdirectory(dune)
 add_subdirectory(doc)
+add_subdirectory(src)
 
 # if Python bindings are enabled, include necessary sub directories.
 if( DUNE_ENABLE_PYTHONBINDINGS )
   add_subdirectory(python)
-  dune_python_install_package(PATH python)
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(doxygen)
 
 dune_add_latex_document(

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(istl)
 # if Python bindings are enabled, include necessary sub directories.
 if( DUNE_ENABLE_PYTHONBINDINGS )

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_executable(istl-solver-playground EXCLUDE_FROM_ALL istl-solver-playground.cc)
add_dune_all_flags(istl-solver-playground)
dune_symlink_to_source_files(FILES playground.ini)
dune_add_test(TARGET istl-solver-playground)

=== cmake/modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

set(modules
  AddARPACKPPFlags.cmake
  AddSuperLUFlags.cmake
  DuneIstlMacros.cmake
  FindARPACK.cmake
  FindARPACKPP.cmake
  FindSuperLU.cmake)

install(FILES ${modules} DESTINATION
  ${DUNE_INSTALL_MODULEDIR})

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory("common")
 add_subdirectory("eigenvalue")
 add_subdirectory("paamg")
@@ -15,7 +18,6 @@
    btdmatrix.hh
    bvector.hh
    cholmod.hh
-   colcompmatrix.hh
    foreach.hh
    gsetc.hh
    ildl.hh

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(istl)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(istl)

=== dune/istl/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 #install headers
 install(FILES
    counter.hh

=== dune/istl/eigenvalue/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(test)

#install headers
install(FILES
   arpackpp.hh
   poweriteration.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/eigenvalue)

=== dune/istl/paamg/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(test)
 
 #install headers

=== debian/changelog ===
dune-istl (2.9.0-5) unstable; urgency=medium

  * Added an autopkgtest
  * Do not depend on libsuitesparse-dev on i386

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 22:30:07 +0200

dune-istl (2.9.0-4) unstable; urgency=medium

  * d/control: Depend on pkgconf instead of pkg-config
  * Make sure solverfactory only tests available solvers

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 14:45:07 +0200

dune-istl (2.9.0-3) unstable; urgency=medium

  * Upload to unstable
  * Build without suitspare on 32bit.
  * Fixed the bugfix for umfpack calling.
  * Call int32_t variants of umfpack methods if UMFPackMatrix::size_type
    is 32bit (Closes: #1069532)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 07:46:09 +0200

dune-istl (2.9.0-3~exp3) experimental; urgency=medium

  * Hopefully final correction of umfpack calls on 32bit.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 13:45:55 +0200

dune-istl (2.9.0-3~exp2) experimental; urgency=medium

  * Fixed the bugfix for umfpack calling.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 11:40:52 +0200

dune-istl (2.9.0-3~exp1) experimental; urgency=medium

  * Call int32_t variants of umfpack methods if UMFPackMatrix::size_type
    is 32bit (Closes: #1069532)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 08:43:53 +0200

dune-istl (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d: Install pkconfig file below /usr/share for cross-compilation
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 17:57:44 +0100

dune-istl (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file.
  * Fixed version number in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 23:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
 Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0),
- libsuitesparse-dev,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.9.0),
+ libsuitesparse-dev [!armel !armhf !i386 !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
@@ -19,8 +19,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.8.0),
- libsuitesparse-dev,
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.9.0),
+ libsuitesparse-dev [!armel !armhf !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- iterative solvers (development files)

## dune-istl 2.10~pre20241005

=== debian/changelog ===
dune-istl (2.10~pre20241005-1) unstable; urgency=medium

  * New upstream release (2.10~pre20241005).
  * d/patches: Refreshed patches
  * Added debian/watch file
  * d/control: Bumped standard version to 4.7.0 (no change)
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 06:23:19 +0200

dune-istl (2.9.0-6) unstable; urgency=medium

  * d/patches: Backported fix for compilation with SuperLU 7.0.0.
       (Closes: #1084252)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 10 Oct 2024 15:14:09 +0200

## dune-istl 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,8 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-# set up project
+cmake_minimum_required(VERSION 3.16)
 project(dune-istl C CXX)
-
-# general stuff
-cmake_minimum_required(VERSION 3.13)
 
 # guess build tree of dune-common
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -26,6 +23,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
+# create library target and export it as Dune::ISTL
+dune_add_library(duneistl INTERFACE
+  EXPORT_NAME ISTL
+  LINK_LIBRARIES Dune::Common)
+
 add_subdirectory(cmake/modules)
 add_subdirectory(dune)
 add_subdirectory(doc)
@@ -37,4 +39,4 @@
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(doxygen)

dune_add_latex_document(
  SOURCE istl.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR})

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(istl)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

dune_add_test(NAME istl-solver-playground
  SOURCES istl-solver-playground.cc)
dune_symlink_to_source_files(FILES playground.ini)

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 set(modules

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory("common")
@@ -18,6 +18,7 @@
    btdmatrix.hh
    bvector.hh
    cholmod.hh
+   dilu.hh
    foreach.hh
    gsetc.hh
    ildl.hh

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(istl)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(istl)

=== dune/istl/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

#install headers
install(FILES
   counter.hh
   registry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/common)

=== dune/istl/eigenvalue/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(test)

=== debian/changelog ===
dune-istl (2.10.0-2) unstable; urgency=medium

  * Support singlecomplex with SuperLU 7.0.1 (Closes: #1104832)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 14 May 2025 15:17:18 +0200

dune-istl (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * d/patches: Refreshed patches
  * Added debian/watch file
  * d/control: Bumped standard version to 4.7.0 (no change)
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 18:49:43 +0100

dune-istl (2.10~pre20241005-2) experimental; urgency=medium

  * Reupload to experimental (no changes, as previous should have
     been uploaded there, too)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 08:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.9.0),
+ libdune-common-dev (>= 2.10~),
  libsuitesparse-dev [!armel !armhf !i386 !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -19,7 +19,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.9.0),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.10~),
  libsuitesparse-dev [!armel !armhf !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})

## dune-istl 2.11.0~git20251211

=== debian/changelog ===
dune-istl (2.11.0~git20251211-2) experimental; urgency=medium

  * No change upload to pick up updated dune-common on some platforms.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 05 Jan 2026 11:58:45 +0100

dune-istl (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Removed patches already applied upstream.
  * d/control: Depend on dune-common >= 2.11~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 12:13:12 +0100

dune-istl (2.10.0-3) unstable; urgency=medium

  * Fix compilation with g++ 15_15.2.0-8

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 18 Nov 2025 14:30:58 +0100
